org.springframework.web.reactive.result.method.annotation

## Class RequestHeaderMapMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
  - - org.springframework.web.reactive.result.method.annotation.RequestHeaderMapMethodArgumentResolver

- All Implemented Interfaces:
    HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

      public class RequestHeaderMapMethodArgumentResolver
      extends HandlerMethodArgumentResolverSupport
      implements SyncHandlerMethodArgumentResolver

  Resolves `Map` method arguments annotated with `@RequestHeader`. For individual header values annotated with `@RequestHeader` see `RequestHeaderMethodArgumentResolver` instead.

  The created `Map` contains all request header name/value pairs. The method parameter type may be a `MultiValueMap` to receive all values for a header, not only the first one.

  Since:
    5.0
  Author:
    Rossen Stoyanchev
  See Also:
    `RequestHeaderMethodArgumentResolver`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestHeaderMapMethodArgumentResolver(ReactiveAdapterRegistry adapterRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `resolveArgumentValue(MethodParameter methodParameter, BindingContext context, ServerWebExchange exchange)` Resolve the value for the method parameter synchronously.
    `boolean` | `supportsParameter(MethodParameter param)` Whether this resolver supports the given method parameter.

    - ### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

      `checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

      `resolveArgument`

- - ### Constructor Detail

    - #### RequestHeaderMapMethodArgumentResolver

          public RequestHeaderMapMethodArgumentResolver(ReactiveAdapterRegistry adapterRegistry)

  - ### Method Detail

    - #### supportsParameter

          public boolean supportsParameter(MethodParameter param)

      Description copied from interface: `HandlerMethodArgumentResolver`
      Whether this resolver supports the given method parameter.
      Specified by:
        `supportsParameter` in interface `HandlerMethodArgumentResolver`
      Parameters:
        `param` - the method parameter

    - #### resolveArgumentValue

          public Object resolveArgumentValue(MethodParameter methodParameter,
                                             BindingContext context,
                                             ServerWebExchange exchange)

      Description copied from interface: `SyncHandlerMethodArgumentResolver`
      Resolve the value for the method parameter synchronously.
      Specified by:
        `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
      Parameters:
        `methodParameter` - the method parameter
        `context` - the binding context to use
        `exchange` - the current exchange
      Returns:
        the resolved value, if any